{{- with site.GetPage "/posts" -}}
{{- if .Pages -}}
<section id="actualites" class="flow mt-3 mb-3 border-t pt-3">
	<header>
		<h2 class="flex-between mb-0">
			<span>{{ .Title }}</span>
			{{- with .Params.Icon -}}
			<span aria-hidden="true">{{ . }}</span>
			{{- end -}}
		</h2>
		<p>{{ .Params.header_text | default .Params.description_short }}</p>
	</header>

	<div class="grid grid-auto" style="--grid-gap:calc(var(--baseline)*2) var(--baseline);--min:var(--card-width-min);">
		{{ range first 4 .Pages.ByPublishDate.Reverse }}
		{{- partialCached "page/page-post.html" . . -}}
		{{ end }}
	</div>

	<footer class="mt-3">
		<a href="{{ .Permalink }}" class="btn btn--outline">
			<span>Voir toutes les actualités</span>
			<svg aria-hidden="true"><use xlink:href="#arrow-right"/></svg>
		</a>
	</footer>
</section>
{{- end -}}
{{- end -}}
